Bug 91897 - horde fails to install when php wasn't installed as a module
Summary: horde fails to install when php wasn't installed as a module
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-17 03:10 UTC by Gustavo Picón
Modified: 2006-01-17 20:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Picón 2006-01-17 03:10:12 UTC
When PHP isn't installed as an apache module horde fails to install because it requires:
WANT_PHP_MOD= yes
instead of
WANT_PHP_WEB= yes
in the Makefile.
Horde works as CGI/Fastcgi without problems.

Fix: 

Replace
WANT_PHP_MOD= yes
with
WANT_PHP_WEB= yes
in /usr/ports/www/horde/Makefile
How-To-Repeat: Install www/php[45]-cgi
Install www/horde
Comment 1 Edwin Groothuis freebsd_committer 2006-01-17 08:55:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry

Over to maintainer
Comment 2 Thierry Thomas freebsd_committer 2006-01-17 20:58:15 UTC
State Changed
From-To: open->closed


Committed, thanks for your report!